Subject: RE: [Sipping] I-D ACTION:draft-ietf-sipping-isup-06.txt -- 5.5 Ea rly Media

From: David Oliver <[email-masked]>
Date: Tue, 27 Aug 2002 12:26:16 -0500

I know this is an overworked subject, which may already be being addressed,
but...

Section 5.5 Early Media, describes these requirements:

  Early media denotes the capability to play media (audio for
  telephony) before a SIP session has been established (before
  a 2xx response code has been sent).  For telephony,
  establishment of media in the backwards direction is desirable
  so that tones and announcements can be played, especially when
  interworking with a network that cannot signal call status out
  of band (such as a legacy MF network).  In cases where
  interworking has not been encountered, use of early media is
  almost always undesirable since it consumes inter-machine
  trunk recourses to play media for which no revenue is
  collected.

The last sentence is confusing, and unusual in discussing revenue.
Presumably the trunk resources referred to are not IP bandwidth, as everyone
knows the Internet is free :-).

Assuming the trunk resources referred to are PSTN, this is inconsistent with
at least the 9/97 version of Q.764 (ISUP 2000 may have changed this, but I
don't have a copy handy). Q.764/97 indicates in sections 2.1.1.1(d),
2.1.1.2(c), 2.1.1.3(c), 2.1.1.4(c), and 2.1.1.5(c) that through media
connection is completed in both directions as soon as the IAM is sent,
except at the originating exchange. In this case forwards media is not
established until CON or ANM is received, except for voice calls which may
be connected at IAM.

This implies that early media will normally have something to deliver, the
unbilled cost of which is being born as overhead by the PSTN carriers. It is
also worth noting that it is not just legacy networks that signal
significant status in-band - modern systems often provide supplemental call
progress information in the form of recorded or synthesized voice messages.

Regards,

David C. Oliver
Principal Engineer
SecureLogix Corp
Email: <mailto:[email-masked]>
Tel:   +1.210.402.9669
Fax:   +1.210.402.6996 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Monday, August 26, 2002 12:17 PM
> Cc: [email-masked]
> Subject: [Sipping] I-D ACTION:draft-ietf-sipping-isup-06.txt
> 
> 
> A New Internet-Draft is available from the on-line 
> Internet-Drafts directories.
> This draft is a work item of the Session Initiation Proposal 
> Investigation Working Group of the IETF.
> 
> 	Title		: ISUP to SIP Mapping
> 	Author(s)	: G. Camarillo et al.
> 	Filename	: draft-ietf-sipping-isup-06.txt
> 	Pages		: 77
> 	Date		: 2002-8-26
> 	
> This document describes a way to perform the mapping between two
> signaling protocols: the Session Initiation Protocol (SIP) and the
> ISDN User Part (ISUP) of SS7. This mechanism might be implemented
> when using SIP in an environment where part of the call involves
> interworking with the Public Switched Telephone Network (PSTN).
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-sipping-isup-06.txt
> 
> To remove yourself from the IETF Announcement list, send a message to 
> ietf-announce-request with the word unsubscribe in the body 
> of the message.
> 
> Internet-Drafts are also available by anonymous FTP. Login 
> with the username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
> 	"get draft-ietf-sipping-isup-06.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html 
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-ietf-sipping-isup-06.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant 
> mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 		
> 		
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> 
_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Peterson, Jon" <[email-masked]>
Date: Tue, 27 Aug 2002 13:59:08 -0500

You did see my note to the effect that we're not going to make further
modifications to the draft beyond sipping-isup-06 at this time, right?

But since this really speaks to the same issue that Mark is addressing, a
few notes about it.

Early media in the PSTN may take the form of ringing, it's true, but it can
also take the form of an announcement that the call cannot be completed, or
a busy/reorder signal, or what have you. It is better in the PSTN to send an
ISUP release message with a cause code than it is to send early media with a
failure announcement - after a release is sent you get to free the circuit.
That is all the sentence that you quote in sipping-isup-06 is trying to say
- and I don't really think it is saying it that poorly. SIP networks incur
an unusual cost for carrying early media for alerting that PSTN networks do
not share - resources (i.e. TCICs) are unavoidably reserved when the IAM is
sent and are held throughout ringing in the PSTN, but this is an avoidable
condition in SIP. To some degree alerting media can be a feature in the PSTN
(it helps with backwards clipping), but SIP also gains some advantages
because it does not follow this model (like forking).

Jon Peterson
NeuStar, Inc.

> From: David Oliver [mailto:[email-masked]]
> Sent: Tuesday, August 27, 2002 10:26 AM
> To: [email-masked]
> Subject: RE: [Sipping] I-D 
> ACTION:draft-ietf-sipping-isup-06.txt -- 5.5
> Ea rly Media
> 
>